pike.git / lib / master.pike.in

version» Context lines:

pike.git/lib/master.pike.in:2882:    switch(scope) {    case "predef":    ret = all_constants();    break;    default:    if (sscanf(scope, "%d.%d%*s", int major, int minor) == 3) {    // Versioned identifier.    ret = get_compilation_handler(major, minor);    if (ret) {    mixed mod = ret->get_default_module(); -  if (!undefinedp(mod = mod[tmp[0]])) { +  if (mod && !undefinedp(mod = mod[tmp[0]])) {    ret = mod;    } else {    ret = ret->resolv(tmp[0]);    }    tmp = tmp[1..];    break;    }    }    error("resolv(%O, %O, %O): Unsupported scope: %O!\n",    identifier, current_file, current_handler, scope);